[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomDesignControl.AutoAdjustLayout

Applies a new display density (Pixels Per Inch) for a layout policy to the control.

## Declaration

Source position: forms.pp line 302

`public procedure TCustomDesignControl.AutoAdjustLayout(`
`AMode: TLayoutAdjustmentPolicy;`
`const AFromPPI: Integer;`
`const AToPPI: Integer;`
`const AOldFormWidth: Integer;`
`const ANewFormWidth: Integer`
`); override;`

## Arguments

`AMode` |  | Layout policy to use for the design surface.
`AFromPPI` |  | Original display density setting.
`AToPPI` |  | New display density setting.
`AOldFormWidth` |  | Original form width.
`ANewFormWidth` |  | New form width.

## Description

AutoAdjustLayout is used to set the value in the PixelsPerInch property to the value specified in AToPPI for the lapAutoAdjustForDPI layout policy. AutoAdjustLayout calls the inherited method.

Remark: | No additional actions are performed in the method when AMode contains a value other than lapAutoAdjustForDPI.

## See also

TCustomDesignControl.PixelsPerInch |  | Run-time Pixels Per Inch for the designer surface.
TCustomDesignControl.DoAutoAdjustLayout |  | Applies size and layout changes to the design surface and its Parent control.
TLayoutAdjustmentPolicy